version: "2"

services:
  postgres:
    image: "postgres:9.5"
    volumes:
      - "postgres:/var/lib/postgresql/data"

  redis:
    image: "redis:3.2-alpine"
    command: redis-server
    ports:
      - "6380:6380"
    volumes:
      - "redis:/var/lib/redis/data"

  website:
    depends_on:
      - "postgres"
      - "redis"
    build: .
    command: bash start.sh
    ports:
      - "3000:3000"
    volumes:
      - ".:/rickchat"
    volumes_from:
      - box

  box:
    image: busybox
    volumes:
      - /box

volumes:
  redis:
  postgres:
  box:
